<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\AdminDashController;
use App\Http\Controllers\DataController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\MailController;
use App\Notifications\AlertWifiNotif;
use App\Models\Ticket;
use App\Models\Admin;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Authentification routes

//Auth::routes();

Route::get('/login/admin', [LoginController::class, 'showAdminLoginForm'])->name('adminLogin');
Route::get('/register/admin', [RegisterController::class,'showAdminRegisterForm'])->name('adminRegister');


Route::post('/login/admin', [LoginController::class,'adminLogin']);
Route::post('/register/admin', [RegisterController::class,'createAdmin']);

Route::group(['middleware' => 'auth:admin'], function () {
    
    Route::view('/admin', 'admin');
    Route::view('/admin/usersMoral', 'admin');
    Route::view('/admin/usersPhysic', 'admin');
    
});

Route::post('/logout', [LoginController::class,'logout'])->name('logout');

// Admin Dashboard Routes

Route::get('/admin',  [AdminDashController::class,'statsDashView'])->middleware('auth:admin')->name('adminStats');
Route::get('/admin/usersMoral',  [AdminDashController::class,'showListMoral'])->middleware('auth:admin')->name('usersMoral');
Route::get('/admin/usersPhysic',  [AdminDashController::class,'showListPhysic'])->middleware('auth:admin')->name('usersPhysic');
Route::get('/admin/command',  [AdminDashController::class,'showListCommand'])->middleware('auth:admin')->name('command');

Route::get('/', [HomeController::class, 'index']);
